INITGROUPS(3)

NAME
initgroups - initialize the supplementary group access list

SYNOPSIS
#include <sys/types.h>
#include <grp.h>

int initgroups(const char *user, gid_t group);

DESCRIPTION
The initgroups() function initializes the group access list by reading the group database /etc/group and using all groups of which user is a member. The additional group group is also added to the list. The user argument must be non-NULL.

RETURN VALUE
The initgroups() function returns 0 on success, or -1 if an error occurs.

ERRORS

ENOMEM
    Insufficient memory to allocate group information structure.

EPERM
    The calling process has insufficient privilege. See the underlying system call setgroups(2).

FILES
/etc/group		group database file

CONFORMING TO
SVID 3, BSD 4.3

NOTES
The prototype for initgroups is only available if _BSD_SOURCE is defined (either explicitly, or implicitly, by not defining _POSIX_SOURCE or compiling with the -ansi flag).

SEE ALSO
getgroups(2), setgroups(2)